IOSS 2.0

Public Member Functions | Public Attributes | List of all members
Ioss::SetDecompositionData Class Reference

`#include <Ioss_Decomposition.h>`

## Public Member Functions
| SetDecompositionData ()=default
const std::string & | name () const
int64_t | id () const
int | zone () const
int | section () const
size_t | file_count () const
size_t | ioss_count () const
size_t | df_count () const

## Public Attributes
std::vector< size_t > | entitylist_map
std::vector< bool > | hasEntities
std::string | name_ {}
int64_t | id_ {0}
int | zone_ {0}
int | section_ {0}
size_t | fileCount {0}
int | root_ {0}
std::string | topologyType {}
size_t | parentBlockIndex {0}
int | distributionFactorValsPerEntity {-1}
size_t | distributionFactorCount {0}
double | distributionFactorValue
bool | distributionFactorConstant {false}

## Constructor & Destructor Documentation

## ◆ SetDecompositionData()

Ioss::SetDecompositionData::SetDecompositionData | ( |  | ) |
| default

## Member Function Documentation

## ◆ df_count()

size_t Ioss::SetDecompositionData::df_count | ( |  | ) | const
| inline

## ◆ file_count()

size_t Ioss::SetDecompositionData::file_count | ( |  | ) | const
| inline

## ◆ id()

int64_t Ioss::SetDecompositionData::id | ( |  | ) | const
| inline

## ◆ ioss_count()

size_t Ioss::SetDecompositionData::ioss_count | ( |  | ) | const
| inline

## ◆ name()

const std::string& Ioss::SetDecompositionData::name | ( |  | ) | const
| inline

## ◆ section()

int Ioss::SetDecompositionData::section | ( |  | ) | const
| inline

## ◆ zone()

int Ioss::SetDecompositionData::zone | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ distributionFactorConstant

bool Ioss::SetDecompositionData::distributionFactorConstant {false}

## ◆ distributionFactorCount

size_t Ioss::SetDecompositionData::distributionFactorCount {0}

## ◆ distributionFactorValsPerEntity

int Ioss::SetDecompositionData::distributionFactorValsPerEntity {-1}

## ◆ distributionFactorValue

double Ioss::SetDecompositionData::distributionFactorValue

Initial value:
{
0.0}

## ◆ entitylist_map

std::vector<size_t> Ioss::SetDecompositionData::entitylist_map

## ◆ fileCount

size_t Ioss::SetDecompositionData::fileCount {0}

## ◆ hasEntities

std::vector<bool> Ioss::SetDecompositionData::hasEntities

## ◆ id_

int64_t Ioss::SetDecompositionData::id_ {0}

## ◆ name_

std::string Ioss::SetDecompositionData::name_ {}

## ◆ parentBlockIndex

size_t Ioss::SetDecompositionData::parentBlockIndex {0}

## ◆ root_

int Ioss::SetDecompositionData::root_ {0}

## ◆ section_

int Ioss::SetDecompositionData::section_ {0}

## ◆ topologyType

std::string Ioss::SetDecompositionData::topologyType {}

## ◆ zone_

int Ioss::SetDecompositionData::zone_ {0}

The documentation for this class was generated from the following file:

- src/Ioss_Decomposition.h